ru.bitel.bgbilling.modules.rurupay.common.service

## Interface RuRuPayService

-     public interface RuRuPayService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result<Transaction>` | `getPaymentLog(Period period, Page page, int contractId, int statusmask)` Возвращает платежи для периода (опционально), постранично и с фильтром по договору (опционально).
    `SearchResult<Transaction>` | `searchTransactionList(int contractId, java.lang.String contractTitle, java.lang.String statusCode, Period period, java.lang.String[] sort, Page page)`

- - ### Method Detail

    - #### getPaymentLog

          Result<Transaction> getPaymentLog(Period period,
                                            Page page,
                                            int contractId,
                                            int statusmask)
                                     throws ru.bitel.bgbilling.common.BGException

      Возвращает платежи для периода (опционально), постранично и с фильтром по договору (опционально). Фильтр по маске статуса.
      Parameters:
        `statusmask` - маска статусов которые надо выбрать.
      Returns:
        Result с заполненным list и page
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchTransactionList

          SearchResult<Transaction> searchTransactionList(int contractId,
                                                          java.lang.String contractTitle,
                                                          java.lang.String statusCode,
                                                          Period period,
                                                          java.lang.String[] sort,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`